"use strict";
const React = require("react");
const input_element_1 = require("./input-element");
function Section(props) {
    const { definition } = props;
    const sectionTitle = definition.meta.title ? React.createElement("h3", { className: "section-title" }, definition.meta.title) : '';
    const renderedLayout = definition.layout.map((item, idx) => React.createElement(input_element_1.InputElement, { key: idx, type: item.type, definition: item }));
    return React.createElement("div", { className: "section" },
        sectionTitle,
        renderedLayout);
}
exports.Section = Section;
//# sourceMappingURL=section.js.map