#  Generic Brokered React Forms

### Usage ###

This is the renderer for JSON forms definitions served by the Red Arrow forms broker.

How to reference a stored form:

- On your application's startup, initialize the swagger client used internally to resolve forms by identifier:

```typescript
startFormsClient("http:[forms-service-endpoint]/swagger/docs/v1")
```

- Then anywhere in your application, render a <Form> by id. 

```typescript
import {Form} from "@redarrowlabs/forms-component";


// ...

render() {
    return <div>
        <Form formId={"93765F61-DA6B-46CC-9978-6FA201C6DE88"}/>
    </div>
}
```

### Development ###

```bash
$ npm run check                       # to make sure everything's building.
$ npm version [patch | minor | major] # to bump and tag.
$ npm publish                         # (Must be logged in as RAL)
```