/// <reference types="react" />
import * as React from "react";
import * as ClientModel from './models/form.client.models';
export interface UrlProps {
    [index: string]: string;
    formId: string;
}
export interface FormProps {
    [index: string]: any;
    jsonDefinition: ClientModel.FormDefinition | null;
}
export interface State {
    definition: ClientModel.FormDefinition | null;
}
export declare class Form extends React.Component<UrlProps | FormProps, State> {
    constructor(props: UrlProps | FormProps);
    private static wrapServerResponse(layout);
    componentDidMount(): Promise<void>;
    render(): JSX.Element;
}
