export interface FormMetadata {
    formId: string | null;
    instanceId: string | null;
    title?: string | null;
}
export interface FormDefinition {
    meta: FormMetadata;
    sections: Section[];
}
export interface SectionMetadata {
    title?: string | null;
    sectionId: string;
    layout: string;
}
export interface Section {
    meta: SectionMetadata;
    layout: FormInput[];
}
export interface FormInput {
    Name: any;
    Type: any;
    Label: any;
    Required: boolean;
    Options?: DropdownOption[];
}
export interface DropdownOption {
    Label: any;
    Value: any;
}
