"use strict";
const React = require("react");
function DropdownSingleInputElement(props) {
    const { definition } = props;
    return React.createElement("div", null,
        React.createElement("label", null, definition.label),
        React.createElement("input", { list: "itemList", className: "form-control" }),
        React.createElement("datalist", { id: "itemList" }, definition.options.map(option => createOptionsSection(option))));
}
exports.DropdownSingleInputElement = DropdownSingleInputElement;
function createOptionsSection(optionComponent) {
    return React.createElement("option", { key: optionComponent.value, value: optionComponent.value });
}
//# sourceMappingURL=dropdown-single.js.map