import { TypedRecord } from "typed-immutable-record";
import { FormDefinition, FormMetadata, Section, SectionMetadata, FormInput, DropdownOption } from './form.client.models';
export interface FormDefinitionRecord extends TypedRecord<FormDefinitionRecord>, FormDefinition {
}
export interface FormMetadataRecord extends TypedRecord<FormMetadataRecord>, FormMetadata {
}
export interface SectionRecord extends TypedRecord<SectionRecord>, Section {
}
export interface SectionMetadataRecord extends TypedRecord<SectionMetadataRecord>, SectionMetadata {
}
export interface FormInputRecord extends TypedRecord<FormInputRecord>, FormInput {
}
export interface DropdownOptionRecord extends TypedRecord<DropdownOptionRecord>, DropdownOption {
}
export declare class ClientFactoryImpl {
    formMetadataRecord: (val?: FormMetadata) => FormMetadataRecord;
    formDefinitionRecord: (val?: FormDefinition) => FormDefinitionRecord;
    sectionMetadataRecord: (val?: SectionMetadata) => SectionMetadataRecord;
    sectionRecord: (val?: Section) => SectionRecord;
    formInputRecord: (val?: FormInput) => FormInputRecord;
    dropdownOptionRecord: (val?: DropdownOption) => DropdownOptionRecord;
}
export declare const ClientFactory: ClientFactoryImpl;
