import * as React from "react";
import * as ClientModel from '../models/form.client.models'

export interface IProps {
    definition: ClientModel.FormInput
}

export function TextInputElement(props: IProps) {
    const {definition} = props;
    return <div>
        <label>{definition.label}</label>
        <input name={definition.name} className="form-control"/>
    </div>;
}
