export interface FormMetadata {
    formId: string | null,
    instanceId: string | null,
    title: string | null
}

export interface FormDefinition {
    meta: FormMetadata,
    sections: Section[]
}

export interface SectionMetadata {
    title : string | null,
    sectionId: string | null,
    layout: string
}

export interface Section {
    meta: SectionMetadata,
    layout: FormInput[]
}

export interface FormInput {
    name: any,
    type: any,
    label: any,
    required: boolean,
    options: DropdownOption[] | null
}

export interface DropdownOption {
    label: any,
    value: any
}